
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>非IE浏览器实现onmouseenter / iVAN</title>

    <meta name="description" content="非IE浏览器实现onmouseenter 每次遇到onmouseover事件的处理就头疼.比如父标签A里面嵌套了两个子标签,分别为标签A1和A2.假设你在父标签A上绑定了mouseover事件,理想的状态应该是:当鼠标从A标签外移到A标签上,事件触发. 但实际情况是,在以下几种情况下,mouseover事件都会被触发,下图为mouseover事件触发示意图(mouseout事件类似). 当鼠标从A标签外移到A标签上. 当鼠标从父标签A移入子标签B(或C). 当鼠标从子标签B移入子标签C(假设间距足够小的话). 之前一直是通过在事件处理函">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">非IE浏览器实现onmouseenter</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>每次遇到onmouseover事件的处理就头疼。比如父标签A里面嵌套了两个子标签，分别为标签A1和A2。假设你在父标签A上绑定了mouseover事件，理想的状态应该是：当鼠标从A标签外移到A标签上，事件触发。</p>
<p>但实际情况是，在以下几种情况下，mouseover事件都会被触发，下图为mouseover事件触发示意图（mouseout事件类似）。</p>
<ol>
<li>当鼠标从A标签外移到A标签上。</li>
<li>当鼠标从父标签A移入子标签B（或C）。</li>
<li>当鼠标从子标签B移入子标签C（假设间距足够小的话）。</li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzE1NDA4OC8yMDExMTAzMDE0MTMwMzc1LmpwZw==.jpg"></p>
<p>之前一直是通过在事件处理函数里面判断触发当前时间的targe是否指定节点来解决上面问题，问题是，当标签嵌套层次比较多的时候，这个判断过程就变得很麻烦，还会让处理函数里面多处一堆跟逻辑不相关的代码。</p>
<p>请教了某同事，IE浏览器支持mouseenter事件，可以轻松搞定以上问题，刚好现在手头做的东西也是只需要支持IE浏览器（\<br />
(^o^)/）。然后就想了，如果突然需求变更说要支持其他非IE浏览器了，那不就惨了（这也是很有可能发生的），像firefox、chrome都是不<br />
支持mouseenter的。那就只能自己试着去模拟下了：</p>
<pre><code>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;
&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=utf-8" /&gt;
&lt;title&gt;在非IE浏览器里模拟mouseenter、mouseleave事件&lt;/title&gt;
&lt;style&gt;
.outer{width:400px;height:300px;background:#ccc;}
.inner{float:left;width:150px;height:150px;margin:20px;background:#000;}
&lt;/style&gt;
&lt;/head&gt;
&lt;body&gt; 

&lt;div id="outer" class="outer"&gt;

    &lt;div id="innerA" class="inner"&gt;&lt;/div&gt;
    &lt;div id="innerB" class="inner"&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div id="output"&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;/body&gt;

&lt;script&gt;
var EventUtil = {
    //事件绑定
    addEvent:function(element,type,handler){

        if(element.attachEvent){    //为IE浏览器

            element.attachEvent("on"+type,handler);

        }else if(element.addEventListener){    //firefox、chrome等浏览器

            if(type=="mouseenter" || type=="mouseleave"){    //对“mouseenter”、“mouseleave”事件做单独绑定处理

                //利用“mouseover”、“mouseout”来模拟“mouseenter”、“mouseenter”
                var eType = (type=="mouseenter")?"mouseover":"mouseout";
                element.addEventListener(eType,EventUtil.wrapHandler(handler),false);
            }else{

                element.addEventListener(type,handler,false);
            }

        }else{    //其他浏览器

            element["on"+type] = handler;
        }
    },
    //对事件处理函数进行包装
    //如果触发事件的元素跟绑定事件的元素相同，则调用处理函数
    wrapHandler:function(handler){

        var func = function(event){

            var target = event.target;
            var parent = event.relatedTarget;

            while(parent &amp;&amp; parent!=this){    //

                try{parent = parent.parentNode;}
                catch(e){break;}
            }
            //parent不等于this，说明触发事件的正是绑定事件的element本身
            (parent!=this)    &amp;&amp; (handler.call(target,event));
        };

        return func;
    },
    //事件移除，省略
    removeEvent:function(element,handler){

        //这里没有任何东西
    }
};
function $(id){return document.getElementById(id);}

EventUtil.addEvent($("outer"),"mouseenter",handler);
EventUtil.addEvent($("outer"),"mouseleave",handler);

//
function handler(e){

    var event = null,target = null;
    if(window.event){
        event = window.event;
        target = e.srcElement;
    }else{
        event = e;
        target = e.target;
    }
    $("output").innerHTML += event.type+":"+target.id+"&lt;br/&gt;";
}
&lt;/script&gt;</code></pre>
<p>在firefox和IE 8里简单测试了下，顺利运行，搞定！</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzE1NDA4OC8yMDExMTAzMDIzMDc0NjY4LmpwZw==.jpg"></p>
<p>以上只是简单地在非IE浏览器里模拟了mouseenter和mouseleave事件，只是实验下，代码写的有点挫各种见谅，主要的是实现的原理。</p>
<p>文章参考了另一篇博文：<a href="http://kb.cnblogs.com/a/1627921/" rel="external nofollow noreferrer">http://kb.cnblogs.com/a/1627921/</a>，写得不错，就是不知道为什么下面的“运行代码”一直没反应。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:10:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>非IE浏览器实现onmouseenter的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9vrRp.html" rel="bookmark">ajax如何处理火狐浏览器或其它非ie浏览器的兼容性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果选择的浏览器不是 Internet Explorer,或者为非 Microsoft 浏览器编写代码,就需要使用不同的代码.事实上就是 清单 1 所示的一行简单代码: var xmlHttp = new XMLHttpRequest object;. 这行简单得多的代码在 Mozilla.Firefox.Safari.Opera 以及基本上所有以任何形式或方式支持 Ajax 的非 Microsoft 浏览器中,创建了XMLHttpRequest对象. 结合起来 关键是要支持所有浏览器.谁愿意编			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYwn9z.html" rel="bookmark">XHTML：非IE浏览器里对style&period;height赋值无效的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xhtml|浏览器|问题 今天我在做多页面MDI脚本控件(MzMultiPage),在IE等浏览器里都已经测试通过没有任何问题,但是在Mozilla.Firefox.Netscape里测试时问题就来了,我的多页面是在页面里用到了 iframe,这些 iframe 初始的 style.height 都是0,而在加载页面之后,iframe 就会自适应被加载的页面高度,我是通过 iframe.style.height=300 这样撑起 iframe 的高度,这样处理在IE系列浏览器里没有任何问题,但在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6AgAb.html" rel="bookmark">IE 和非IE浏览器的条件注释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				浏览器|条件 (X)HTML 下面一段代码是测试在微软的IE浏览器下的条件注释语句的效果 &lt;!--[if IE]&gt;&lt;h1&gt;您正在使用IE浏览器&lt;/h1&gt;&lt;![endif]--&gt;&lt;!--[if IE 5]&gt;&lt;h1&gt;版本 5&lt;/h1&gt;&lt;![endif]--&gt;&lt;!--[if IE 5.0]&gt;&lt;h1&gt;版本 5.0&lt;/h1&gt;&lt;![endif]--&gt;&lt;!--[if IE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmK3y7b.html" rel="bookmark">初学者的忧伤-我想在非ie浏览器的页面中执行一个js，然后打开一个指定的ie页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我想在非ie浏览器的页面中执行一个js,然后打开一个指定的ie页面 ActiveX只有在ie中才能运行,我现在想在谷歌或者火狐浏览器网页中自动打开一个ie浏览器的指定页面,请问直接用js可以实现吗? 解决方案 [原创]在winform程序中实现在IE浏览器中打开一个新的页面,全屏化并屏蔽IE窗口的工具栏和地址栏 解决方案二: 没有这种办法.页面在哪个浏览器打开就会在哪个浏览器呈现,页面不属于任何一个浏览器专有.你要想支持activeX,就只能在IE浏览器中打开.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZVg6z.html" rel="bookmark">html-如何在非ie浏览器使用js打开文件，并获取文件内容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在非ie浏览器使用js打开文件,并获取文件内容 如何在非ie浏览器使用js打开文件,并获取文件内容? html中是一个input 解决方案 用ajax的方式 &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html;charset=utf-8&quot; /&gt; &lt;script type=&quot;text/javascript&quot; src=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RE6qb.html" rel="bookmark">求资源 求分享-自定义弹出确定取消框，方便程度最好和confirm一样。主要是在非ie浏览器上兼容</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 自定义弹出确定取消框,方便程度最好和confirm一样.主要是在非ie浏览器上兼容 自定义弹出确定取消框,方便程度最好和confirm一样.主要是在非ie浏览器上兼容.求源码.用js或者css实现都可以. 解决方案 artDialog,注意这个和confirm不一样,不能挂起后续代码的执行,后续的代码依据点击是否来执行的话要放回调里面 解决方案二: sweetalert UI很漂亮 我自己的所有项目都用的这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNv2v4M.html" rel="bookmark">静态图片的十一种滤镜效果--不支持Ie7及非IE浏览器。&lowbar;图象特效</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				请新建文件TestImage.html 注意:静态图片的十一种滤镜效果--不支持Ie7及非IE浏览器.欢迎与邀月交流,net技术与软件架构内容如下,(可自行修改): 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmln			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8Pkdp.html" rel="bookmark">怎么在非IE浏览器实现这个功能？想在客户端获取证书内的信息，用于与服务器进行数据交互。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么在非IE浏览器实现这个功能?想在客户端获取证书内的信息,用于与服务器进行数据交互. 怎么在非IE浏览器实现这个功能?想在客户端获取证书内的信息,用于与服务器进行数据交互.想利用JAVASCRIPT之类的代码,实现这个证书弹窗.有点类似于IE的ACTIVEXOBJECT.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLYxEkz.html" rel="bookmark">js xmlHttp对象IE浏览器和非IE浏览器创建方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js xmlhttp对象ie浏览器和非ie浏览器创建方法 例子:创建一个xmlhttp对象,并向服务器请求一个xml文档,返回文档后显示.下面分别就ie和非ie进行实例讲解 1) ie浏览器使用activexobject方式创建xmlhttp对象: var xmlhttpreq = new activexobject(&quot;msxml2.xmlhttp.3.0&quot;); xmlhttpreq.open(&quot;get&quot;, &quot;http://localhost/test.x			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEd7nz.html" rel="bookmark" class="title">CSS网页制作教程&colon;CSS文字单位PX、EM、PT</a>
					<div>
						文章简介:但是12px汉字例外,就是由以上方法得到的12px(1.2em)大小的汉字在IE中并不等于直接用12px定义的字体大小,而是稍大一点.这个问题 Jorux已经解决,只需在body选择器中把6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkk0Ep.html" rel="bookmark" class="title">网站日志文件分析分析方法精华版</a>
					<div>
						通过分析网站日志Log文件我们可以看到用户和搜索引擎蜘蛛访问网站的行为数据,这些数据能让我们分析出用户和蜘蛛对网站的偏好以及网站的健康情况.在网站日志分析中,我们主要需要分析的是蜘蛛行为. 在蜘蛛爬取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjVBWb.html" rel="bookmark" class="title">开发合作 Microsoft &period;NET 解决方案</a>
					<div>
						解决 开发合作 Microsoft .NET 解决方案Michael HermanEC3 Enterprise Consulting Competency CentersMicrosoft Corpo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWknqM.html" rel="bookmark" class="title">浅谈新站必备的四大外链发布平台</a>
					<div>
						对新站来说,毕竟是刚上线的,一无权重二无收录三无排名,要想换高质量的友情链接那是做梦的,除非有相当给力的好人缘.那么对于个人站而言,人脉资源多都有限啦,而且很多站长都不是那么愿意给你做友情链接,毕竟连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl469z.html" rel="bookmark" class="title">linux监控平台nagios的使用（二）监控端环境部署</a>
					<div>
						这个只是总体脚本中的监控端的一个函数 installserver () 具体脚本如下: #!/bin/bash #this is nagios server or client install she ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62awWM.html" rel="bookmark" class="title">用Java&plus;MySQL&plus;PHP轻松构建跨平台的搜索引擎</a>
					<div>
						此搜索引擎适于在一个中等规模的局域网中使用,由于找到的网页存在数据库中,不仅可以索静态的Html页面,可以搜索PHP.ASP等动态页面.对于一个拥有5万个网页的系统(使用PII-400作为服务器),搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnyk4z.html" rel="bookmark" class="title">C&num; richTextbox的字体格式和颜色</a>
					<div>
						[关于字体格式] 设置的是第一个字符的颜色,这时richtextBox的rtf中记录下位置0的颜色,重置text时,在rtf中的位置从位置0开始,因此颜色还是Color.Red,第三次也应该同样如此  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjBJvp.html" rel="bookmark" class="title">U盘无法被格式化的解决办法  教你怎么格式化U盘</a>
					<div>
						U盘无法被格式化的解决办法  教你怎么格式化U盘   工具/原料 ChipGenius U盘检测工具 U盘量产工具 方法/步骤 利用Windows自带的磁盘修复工具进行修复:将U盘插入电脑,打开我的电 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24yKrp.html" rel="bookmark" class="title">Word中输入直引号变为弯引号</a>
					<div>
						  在使用Word创建文档的时候发现,输入的是直引号,但打出来后却被替换为弯引号. 在半角状态下输入直引号,被替换为弯引号,这是开启了Word中的一项替换功能.如果不需要,可以按照以下设置关闭. 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oEd7b.html" rel="bookmark" class="title">如何清除Windows8&period;1旧系统备份</a>
					<div>
						不少升级到Win8.1系统的用户反映,升级Win8.1系统之后C盘空间越来越少.这是什么原因呢?原来在升级Win8.1系统过程中,系统会对旧系统进行系统文件备份,得出一个体积不少的Windows.ol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NwxjM.html" rel="bookmark" class="title">as3中Timer类&mdash;&mdash;Timer与时钟实例</a>
					<div>
						范例1: 没有哪个例子比一个时钟更加适合描述Timer类的基本应用. 步骤一: 在flash舞台上放置一个钟面,再新建层画出时针.分针.秒针和轴心.3个指针分别命名为 hourPoint,minute ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmJqZz.html" rel="bookmark" class="title">AngularJS 服务 demo</a>
					<div>
						我们知道Angular提供的标准服务组件有以下: $http:用于处理 XMLHttpRequest $location:提供当前URL的信息 $q: 异步请求使用,promise/deferred模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QVajp.html" rel="bookmark" class="title">PgSQL &CenterDot; 特性分析 &CenterDot; 备库激活过程分析</a>
					<div>
						前言 PostgreSQL standby 可以通过两种方法来激活成为主库: trigger file,配置在recovery.conf中. pg_ctl promote发送SIGUSR1信号给pos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PnZQp.html" rel="bookmark" class="title">算法系列15天速成&mdash;&mdash;第四天 五大经典查找【上】</a>
					<div>
						在我们的生活中,无处不存在着查找,比如找一下班里哪个mm最pl,猜一猜mm的芳龄....... 对的这些都是查找.   在我们的算法中,有一种叫做线性查找. 分为:顺序查找.         折半查找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7yP7p.html" rel="bookmark" class="title">设计模式&lbrack;12&rsqb;-Adapter</a>
					<div>
						Type: Structural Adapter: 将一个类的接口转换成clients期望的另一个接口.类不会因为接口不兼容而无法一起工作. 实现方式有两种,继承和委让.这里使用的是委让. #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr5jrM.html" rel="bookmark" class="title">格式-请大神们进来看看这种ini文件是怎么回事</a>
					<div>
						问题描述 请大神们进来看看这种ini文件是怎么回事 这是迅雷的config.ini文件,但跟一般ini文件格式完全不同啊,新手经验不足,求大神指教这是怎么回事?另求如何读取修改这类文件的节点键值? f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z407Wrz.html" rel="bookmark" class="title">黄聪：Microsoft Enterprise Library 5&period;0 系列教程&lpar;六&rpar; Security Application Block</a>
					<div>
						原文:黄聪:Microsoft Enterprise Library 5.0 系列教程(六) Security Application Block   开发人员经常编写需要安全功能的应用程序.这些应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR8Vmb.html" rel="bookmark" class="title">域名选择的六大技巧</a>
					<div>
						域名选择的六大技巧                                                        --大财主                               ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjgAmM.html" rel="bookmark" class="title">java-jvm-常量池</a>
					<div>
						 Java中的常量池,实际上分为两种形态:静态常量池和运行时常量池.      所谓静态常量池,即*.class文件中的常量池,class文件中的常量池不仅仅包含字符串(数字)字面量,还包含类.方法的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZPn4p.html" rel="bookmark" class="title">c语言scanf&lpar;&rpar;函数的返回值</a>
					<div>
						问题描述 c语言scanf()函数的返回值 c primer plus 一书中,199页的showchar2.c程序中有一行代码是if(scanf(&quot;%d %d&quot;,&amp;row ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK50ynp.html" rel="bookmark" class="title">创业18般武器之ICP许可证过审秘籍</a>
					<div>
						朋友圈每天都有上班按捺不住冲动想去看世界的,时刻想炒了老板自主创业的小伙伴,他们这种潜在本性俗称&quot;创业病&quot;,至今无法彻底治愈,而且传播性还十分广泛,前赴后继带着&quot;梦想还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NQNPz.html" rel="bookmark" class="title">《深入解析Android 5&period;0系统》&mdash;&mdash;第1章，第1&period;2节安装开发包</a>
					<div>
						1.2 安装开发包 深入解析Android 5.0系统 Android系统的编译需要依赖一些第三方的开发包和工具,包括Oracle的JDK(以前属于Sun公司).大部分的软件包都能通过apt-get来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1woQb.html" rel="bookmark" class="title">Android App中使用Glide加载图片的教程&lowbar;Android</a>
					<div>
						与其他图片加载库相同,Glide除了可以加载网络图片之外,也可以加载本地图片.甚至还可以从各种各样奇葩的数据源中加载图片. 加载网络图片很多情况下,我们使用图片加载库就是为了加载网络图片.网络操作是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1D3xab.html" rel="bookmark" class="title">咨询关于多屏显示方案</a>
					<div>
						问题描述 应用场景描述:将10多台主机显示器去掉,将其显示整合到3台大屏显示器,每个主机的显示作为窗口显示在大屏显示器上,鼠标双击该窗口,可在该大屏全屏显示,可交互,再双击可还原.请问这种情况哪些实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDX4dOz.html" rel="bookmark" class="title">百度首页改版的狂想曲</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 百度首页改版了,虽然改版不大.虽然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm8v6p.html" rel="bookmark" class="title">河南省长很新潮 微信联系家人 外语对话洋高管</a>
					<div>
						4月8日上午,谢伏瞻省长在郑州市高新区威科姆公司调研,当得知一个电子集成块曾卖到3万元,现在却只有2000多元,他感慨:&quot;这符合'摩尔定律'啊,科技越发展,商品性能也会变得越来越好,而价格肯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk798yp.html" rel="bookmark" class="title">刘阳：VC现在最关注的是网游</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 9月24日-26日,由中国互联网协 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWkQWp.html" rel="bookmark" class="title">投资客有恃无恐成帮凶</a>
					<div>
						⊙记者 李和裕 ○编辑 王晓华 &quot;我知道你们的手段,那是生不如死--&quot;(台词)恐怕了解开发商诡计的普通购房者只能在心中哀叹.不过,站在投资性购房者的角度,他们却看穿了&quot;老 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVXnqkM.html" rel="bookmark" class="title">专家教您五招搞定云计算</a>
					<div>
						如今,云计算(云端运算服务)已成为IT界最热门的话题之一,无论是发货人,物流服务供应商,或是海运承运人,云计算服务都可以为您提供诸多机会来提升全球船运及物流管理流程.而云计算服务的&quot;按需计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8gGn9M.html" rel="bookmark" class="title">Java Core系列之HashMap实现</a>
					<div>
						最近在看Guava中的Cache的源码,它的实现基于ConcurrentHashMap,前段时间组里招人,据说很多看起来很牛掰的简历,一个HashMap就能刷掉很多,所以顺便把HashMap和Conc ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
